
//gvarset(8044,40); //Sensing Speed (high)
//gvarset(8045,25); //Sensing Speed Low (Percent)
//gvarset(8046,100); //DistanceSensing Speed Low (Material Sens distance)


do_plasma_probe()
{

  ihc_ohmic_enabled=1;
  a=gvarget(8270);
  if (a==0)  { pwm01=0; ihc_ohmic_enabled=0; };
  if (a==1)  { pwm01=100;  };
  if (a==2)  { pwm01=200;  };
  if (a==3)  { pwm01=400;  };
  if (a==4)  { pwm01=800;  };
  if (a==5)  { pwm01=1600; };
  if (a==6)  { pwm01=3200; };
  if (a==7)  { pwm01=3600; };


  gvarset(5521,1); //ignore hard limits

  a=gvarget(8332);
  if (a!=0)
  { //Most likely lift process
    gvarset(8518,999999); //Cancel Lift
    do{ a=gvarget(8332);}while(a!=0); //wait till stop
  };

  gvarset(8048,2); //IHC Stage
  timer=30;do{timer--;}while(timer>0);

  gvarset(5539,1); //PLC Move Ver2
  gvarset(8342,10); //acceleration time 10ms = 0.01s

  speed=gvarget(8044);
  gvarset(8341,speed);

  p=gvarget(8045); //Slow speed %

  slow_speed=speed*p/100;
  slow_pos=gvarget(8046); //Position for slow speed;
  slow_mode=0;

  gvarset(8340,0-1); //Jog Z-

  gvarset(30033,speed);

  do
  {

    pos=gvarget(8514);//get Current Position
    if (slow_mode==0)
    {
      if (pos<slow_pos)
      {
        gvarset(8342,10); //acceleration time 10ms = 0.01s
        gvarset(8341,slow_speed); //Set Slow Speed for Jog
        gvarset(8340,0-1); //
        slow_mode=1;
        gvarset(8048,1); //Change IHC Stage
      };
   };
   
   sens=0;
   fhs_sens=0;
    //test Ohmic sensor first
   if (ihc_ohmic_enabled!=0) { sens=portget(INPUT_OHMIC); };
    //if ohmic is not activated, test 
   if (sens==0)  { sens=portget(INPUT_FLOATING_HEAD); fhs_sens=sens;   };

  }while(sens==0);

  gvarset(8342,10); //acceleration time 10ms = 0.01s
  gvarset(8341,slow_speed); //Set Slow Speed for Jog
  gvarset(8340,1); //

  do
  {
   sens=0;//portget(INPUT_OHMIC);
   if (sens==0)  { sens=portget(INPUT_FLOATING_HEAD); };
  }while(sens!=0);


  gvarset(8340,0);

};



do_move_ignition_height()
{

  do{ a=gvarget(8332);}while(a!=0); //wait if Jog motion in progress

  z0=0;
  //sens=portget(INPUT_FLOATING_HEAD);
  if (fhs_sens!=0) {  z0=0-ihc_correction_height; };

  gvarset(8522, z0 ); //set Axis H coordinate


  //timer=5000;do{timer--;}while(timer>0);


  gvarset(8330,speed_rapid);	//AXPLUS Speed Positioning
  gvarset(8331,120);		//AXPLUS Acceleration Time for Positioning

  g0moveA(0x1,0x80,ihc_ignition_height);//move Z+, ignition height
  do{ a=gvarget(8332);}while(a!=0);
  gvarset(5521,0);
};


do_skip_probing()
{
  gvarset(5521,0); //if skip probing, turn ON the limits at the start
  do{ a=gvarget(8332);}while(a!=0); //wait if Jog motion in progress

  gvarset(8330,speed_rapid);	//AXPLUS Speed Positioning
  gvarset(8331,120);		//AXPLUS Acceleration Time for Positioning

  g0moveA(0x1,0x80,ihc_ignition_height);//move H, ignition height
  do{ a=gvarget(8332);}while(a!=0);

};




do_move_pierce_height()
{
  g0moveA(0x1,0x80,ihc_pierce_height);//Z axis,
  do{ a=gvarget(8332);}while(a!=0);
};


do_move_cutting_height()
{
  g0moveA(0x1,0x80,ihc_cutting_height);//Z axis,
  do{ a=gvarget(8332);}while(a!=0);
};




check_plasma_position()
{
  t=gvarget(5400);

  if (t!=1)
  {
    portclr(OUTPUT_LASER_POINTER);

    pos_x=gvarget(17001);
    pos_y=gvarget(17002);


    gvarset(5400,1); //Change Tool # to Plasma
    timer=100;do{timer--;}while(timer>0);

    //gvarset(8630,100); //SPEED in pulses/sec
    gvarset(8632,400); //SPEED in units/min
    gvarset(8631,100); //G0 Accel Time

    g0moveA(0x81, 0x1,  pos_x);  //X axis set
    g0moveA(0x81, 0x2,  pos_y);  //Y axis set
    g0moveA(0x41, 0x3,  0);        //XY move
    do { code=gvarget(6060); }while(code!=0x4d);//wait till motion finished



  };

};




